<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.expedientemanualEspirometria.home.createOrEditLabel"
          data-cy="EspirometriaCreateUpdateHeading"
          v-text="$t('gatewayApp.expedientemanualEspirometria.home.createOrEditLabel')"
        >
          Create or edit a Espirometria
        </h2>
        <div>
          <div class="form-group" v-if="espirometria.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="espirometria.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.fev1T')" for="espirometria-fev1T"
              >Fev 1 T</label
            >
            <input
              type="number"
              class="form-control"
              name="fev1T"
              id="espirometria-fev1T"
              data-cy="fev1T"
              :class="{ valid: !$v.espirometria.fev1T.$invalid, invalid: $v.espirometria.fev1T.$invalid }"
              v-model.number="$v.espirometria.fev1T.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.fev1R')" for="espirometria-fev1R"
              >Fev 1 R</label
            >
            <input
              type="number"
              class="form-control"
              name="fev1R"
              id="espirometria-fev1R"
              data-cy="fev1R"
              :class="{ valid: !$v.espirometria.fev1R.$invalid, invalid: $v.espirometria.fev1R.$invalid }"
              v-model.number="$v.espirometria.fev1R.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.fvcT')" for="espirometria-fvcT"
              >Fvc T</label
            >
            <input
              type="number"
              class="form-control"
              name="fvcT"
              id="espirometria-fvcT"
              data-cy="fvcT"
              :class="{ valid: !$v.espirometria.fvcT.$invalid, invalid: $v.espirometria.fvcT.$invalid }"
              v-model.number="$v.espirometria.fvcT.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.fvcR')" for="espirometria-fvcR"
              >Fvc R</label
            >
            <input
              type="number"
              class="form-control"
              name="fvcR"
              id="espirometria-fvcR"
              data-cy="fvcR"
              :class="{ valid: !$v.espirometria.fvcR.$invalid, invalid: $v.espirometria.fvcR.$invalid }"
              v-model.number="$v.espirometria.fvcR.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.indiceTP')" for="espirometria-indiceTP"
              >Indice TP</label
            >
            <input
              type="number"
              class="form-control"
              name="indiceTP"
              id="espirometria-indiceTP"
              data-cy="indiceTP"
              :class="{ valid: !$v.espirometria.indiceTP.$invalid, invalid: $v.espirometria.indiceTP.$invalid }"
              v-model.number="$v.espirometria.indiceTP.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.fechaToma')" for="espirometria-fechaToma"
              >Fecha Toma</label
            >
            <div class="d-flex">
              <input
                id="espirometria-fechaToma"
                data-cy="fechaToma"
                type="datetime-local"
                class="form-control"
                name="fechaToma"
                :class="{ valid: !$v.espirometria.fechaToma.$invalid, invalid: $v.espirometria.fechaToma.$invalid }"
                :value="convertDateTimeFromServer($v.espirometria.fechaToma.$model)"
                @change="updateInstantField('fechaToma', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.resultado')" for="espirometria-resultado"
              >Resultado</label
            >
            <input
              type="text"
              class="form-control"
              name="resultado"
              id="espirometria-resultado"
              data-cy="resultado"
              :class="{ valid: !$v.espirometria.resultado.$invalid, invalid: $v.espirometria.resultado.$invalid }"
              v-model="$v.espirometria.resultado.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualEspirometria.user')" for="espirometria-user"
              >User</label
            >
            <select class="form-control" id="espirometria-user" data-cy="user" name="user" v-model="espirometria.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="espirometria.user && userOption.id === espirometria.user.id ? espirometria.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.espirometria.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./espirometria-update.component.ts"></script>
